# Class ArcGISSublayerQueryProvider

A query provider for map image sublayers.

#### Hierarchy (view full)

- QueryProviderBase
  - ArcGISSublayerQueryProvider

#####
Index

### Constructors

constructor

### Methods

_count
_query
_queryMany
count
isSupported
query

##
Constructors

### constructor

- new ArcGISSublayerQueryProvider(): ArcGISSublayerQueryProvider

- #### Returns ArcGISSublayerQueryProvider

  Inherited from QueryProviderBase.constructor

##
Methods

### `Protected`_count

- _count(source, where, options): Promise<CountResult>

- Invoked to perform the actual work for count. Derived classes should override this method rather than count().

  #### Parameters

  - source: FeatureSource

    The source to query.

  - where: string

    An SQL expression to match against, e.g. "lastName='Smith'".

  - options: QueryOptions

    Additional options that affect the query.

  #### Returns Promise<CountResult>

  Overrides QueryProviderBase._count

### `Protected`_query

- _query(source, where, options): AsyncIterable<Feature, any, any>

- Invoked to perform the actual work for query. Derived classes should override this method rather than query().

  #### Parameters

  - source: FeatureSource

    The source to query.

  - where: string

    An SQL expression to match against, e.g. "lastName='Smith'".

  - options: QueryOptions

    Additional options that affect the query.

  #### Returns AsyncIterable<Feature, any, any>

  Overrides QueryProviderBase._query

### `Protected`_queryMany

- _queryMany(sources, where, options?): AsyncIterable<Feature, any, any>

- Invoked to perform the work for query. Default implementation calls _query for each source. Derived classes can override this method to implement special handling for multiple sources.

  #### Parameters

  - sources: FeatureSource[]

    The sources to identify.

  - where: string

    An SQL expression to match against, e.g. "lastName='Smith'".

  - `Optional` options: QueryOptions

    Additional options that affect the query.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from QueryProviderBase._queryMany

### count

- count(source, where, options?): Promise<CountResult>

- Queries a given feature source for a count of features that match the query criteria.

  #### Parameters

  - source: FeatureSource

    The source to query.

  - where: string

    An SQL expression to match against, e.g. "lastName='Smith'".

  - `Optional` options: QueryOptions

    Additional options that affect the query.

  #### Returns Promise<CountResult>

  Inherited from QueryProviderBase.count

### isSupported

- isSupported(source): boolean

- Determines whether this provider can handle queries for the given feature source.

  #### Parameters

  - source: FeatureSource

    The feature source.

  #### Returns boolean

  Overrides QueryProviderBase.isSupported

### query

- query(source, where, options?): AsyncIterable<Feature, any, any>

- Queries a given feature source for features that match the query criteria.

  #### Parameters

  - source: FeatureSource | FeatureSource[]

    The source to query.

  - where: string

    An SQL expression to match against, e.g. "lastName='Smith'".

  - `Optional` options: QueryOptions

    Additional options that affect the query.

  #### Returns AsyncIterable<Feature, any, any>

  Inherited from QueryProviderBase.query